/********************************************************************

  Module: TiWindowMessage

  Author: Carlo Ordonez

  Description:

    Window message base class

  Copyright 2005 Sony Online Entertainment.  All rights reserved.

*********************************************************************/

#ifndef _TiWindowMessage_h_
#define _TiWindowMessage_h_

#include "TiWindowMessageIDs.h"

class TiWindow;

class TiWindowMessage
{
public:
  TiWindowMessage( TiWindow* pSender, int32 MessageId )
  {
    mpSender = pSender;
    mMessageId = MessageId;
  }
  virtual ~TiWindowMessage() {}

  TiWindow*   GetSender() const { return( mpSender ); }
  int32       GetMessageId() const { return( mMessageId ); }

private:

  TiWindow*   mpSender;
  int32       mMessageId;
};

#endif

